Get a single offer the investor has received, including teaser content. Returns 404 when the offer does not exist or the investor is not its recipient.

Path Parameters
  • id
    Type: string
    required

    Offer identifier.

Responses
  • application/json
  • application/problem+json
  • application/problem+json
  • application/problem+json
  • application/problem+json
  • application/problem+json
Request Example for get/api/v1/offers/{id}
curl 'https://app.propstreet.com/api/v1/offers/{id}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "string",
  "uri": "string",
  "status": "string",
  "communicatedUtc": null,
  "deadlineUtc": null,
  "acceptedUtc": null,
  "acceptMessage": null,
  "teaser": {
    "id": "string",
    "title": null,
    "isPreMarket": null,
    "locality": null,
    "country": null,
    "categories": [
      {
        "type": "string",
        "locationClass": null,
        "percentage": "string"
      }
    ],
    "yearBuilt": {
      "value": "string",
      "min": "string",
      "max": "string"
    },
    "tenure": null,
    "conversions": [
      "string"
    ],
    "rentalIncome": {
      "value": 0,
      "min": 0,
      "max": 0,
      "currency": "string",
      "scale": "string"
    },
    "leasableUnits": {
      "value": 0,
      "min": 0,
      "max": 0
    },
    "rentedPercent": {
      "value": "string",
      "min": "string",
      "max": "string"
    },
    "totalCosts": {
      "value": 0,
      "min": 0,
      "max": 0,
      "currency": "string",
      "scale": "string"
    },
    "noi": {
      "value": 0,
      "min": 0,
      "max": 0,
      "currency": "string",
      "scale": "string"
    },
    "parcelArea": {
      "value": 0,
      "min": 0,
      "max": 0
    },
    "avgContractLength": {
      "value": 0,
      "min": 0,
      "max": 0
    },
    "yield": {
      "value": "string",
      "min": "string",
      "max": "string"
    },
    "zoningCategories": [
      "string"
    ],
    "zoningGfa": {
      "value": 0,
      "min": 0,
      "max": 0
    },
    "investmentSize": {
      "value": 0,
      "min": 0,
      "max": 0,
      "currency": "string",
      "scale": "string"
    },
    "propertyCount": {
      "value": 0,
      "min": 0,
      "max": 0
    },
    "tags": [
      "string"
    ]
  },
  "broker": {
    "name": "string",
    "companyName": null,
    "jobTitle": null
  },
  "capabilities": [
    "string"
  ]
}